Groovy Documentation

## org.codehaus.groovy.ast.stmt
[Java] Class IfStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.IfStatement

    public class IfStatement
    extends Statement

Represents an if (condition) { ... } else { ... } statement in Groovy

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getElseBlock()`
`Statement` | `getIfBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `setElseBlock(Statement statement)`
`void` | `setIfBlock(Statement statement)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IfStatement

    public IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getElseBlock

    public Statement getElseBlock()

### getIfBlock

    public Statement getIfBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setElseBlock

    public void setElseBlock(Statement statement)

### setIfBlock

    public void setIfBlock(Statement statement)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation